/* 
 * File:   img_acts_kernel.cuh
 * Author: Alex Krizhevsky
 *
 * Created on January 25, 2011, 7:44 PM
 */

#ifndef RECON_KERNEL_CUH
#define	RECON_KERNEL_CUH

#include <cutil_inline.h>
#include <nvmatrix.cuh>
#include "../common.h"

void computeImgActs(NVMatrix& hidActs, NVMatrix& filters, NVMatrix& targets,
                    int imgSize, int paddingStart, int moduleStride, int numColors, FILTER_OUTPUT_ORDER hidActsOrder);

#endif	/* RECON_KERNEL_CUH */

