/*
 * test.cuh
 *
 *  Created on: February 27, 2011
 *      Author: Alex Krizhevsky (akrizhevsky@gmail.com)
 */

#include <cutil_inline.h>
#include <assert.h>
#include <nvmatrix.cuh>
#include <matrix.h>

#include "gpu_locking.h"
#include "kernel/filter_acts_kernel.cuh"
#include "kernel/img_acts_kernel.cuh"
#include "kernel/weight_acts_kernel.cuh"

void init_tests(int boardNum);

void test_img_acts();
void test_filter_acts();
void test_weight_acts();

int main(int argc, char** argv);